library(shiny)

shinyServer(function(input, output,session) {
        
 
    data <- reactive({
      n <- 20
      index <- rep(c("A","B"),each=n)
      x <- qnorm(seq(0.1,0.9,length=n),5)
      for(mu in input$mu) {      
          if(input$which=="Perfect") y <- c(x+5,x+mu)
          else y <- c(rnorm(n,5),rnorm(n,mu))
          return(data.frame(y,index))
        }   
    })
   output$text1 <- renderText({
          index <- data()$index
          y <- data()$y
          anova <- summary(aov(y~index))
          p <- unlist(anova)[9]
          line <- paste("<h4>p-value:",sprintf("%0.4f",p),"</h4>")
          means <- tapply(y,index,mean)
          line[2] <- paste("<h4>Means: Pop 1 =",sprintf("%0.1f",means[1]),"   Pop 2 =",sprintf("%0.1f",means[2]),"</h4>")

          vars <- tapply(y,index,var)
          line[3] <- paste("<h4>Variation: Pop 1 =",sprintf("%0.1f",vars[1]),"   Pop 2 =",sprintf("%0.1f",vars[2]),"</h4>")
          line[4] <- paste("<h4>Overall Variation = ",sprintf("%0.1f",var(y)),"</h4>")          
          line

   })        
   
   output$plot1 <- renderPlot({
          index <- data()$index
          y <- data()$y   
          boxplot(y~index,main="")
   })           

  output$explainText <- renderText({ 
        "<h5>Explanation: This demo shows why this method is called Analysis of Variance although it really is a hypothesis test for the equality of means
        <br>if Perfect is chosen the data is the quantiles of a normal distribution, if random the data is chosen randomly from a normal distribution"  
  })

})

