library(shiny)

shinyUI(fluidPage(

  titlePanel("Boxplot Illustration"),
  
  
  sidebarLayout(
      sidebarPanel(
          HTML("<a class='btn' href='/'><b>Start Over!</b></a>"),
           selectInput("dataset", "Choose a dataset:", 
                  choices = c("Babe Ruth's Homeruns", 
                              "Newcomb's Speed of Light",
                              "Weight of Euro Coins",
                              "Length of Babies",
                              "Gender Ratios in US",
                              "Random")),
           conditionalPanel( condition = "input.dataset == 'Weight of Euro Coins'",
                  selectInput("europart","Roll",
                  choices = c("All",1:8))),  
           conditionalPanel( condition = "input.dataset == 'Length of Babies'",
                  selectInput("cocainpart","Cocain Use",
                  choices = c("All","Drug Free","First Trimester","Throughout"))),         
           conditionalPanel( condition = "input.dataset == 'Random'",
                  selectInput("randompart","Distribution",
                  choices = c("Anything","N(10,3)","t(2)","Exp(1)","Binomial(100,0.5)"))),
           conditionalPanel( condition = "input.dataset == 'Random'",
                  numericInput("n","Sample Size",  
                  min=5,max=1000,value=30)),                  
                                      
           sliderInput("step","Step",
           min=0, max=9, value=0,step=1, 
           animate=animationOptions(interval = 3000, loop = FALSE, 
          playButton = NULL, pauseButton = NULL)),
          uiOutput("text1"),
          HTML("<br>&nbsp;&nbsp;"),
          HTML("<br>&nbsp;"),
          HTML("<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 11/22/2014</h6>"),width=3
        ),
  mainPanel(
      tabsetPanel(
          tabPanel("Dataset",uiOutput("table2")),
          tabPanel("Plot",uiOutput("table1"),plotOutput("mybox"))
      )
    )
  )  
))

