library(shiny)

shinyUI(fluidPage(

  titlePanel("Central Limit Theorem"),

  sidebarLayout(
      sidebarPanel(
           selectInput("dataset", "Choose an Example:", 
                  choices = c("Bernoulli","Exponential","t")),
           conditionalPanel( condition = "input.dataset == 'Bernoulli'",
                  numericInput("p","Success Probability p",  
                  min=0.1,max=0.9,value=0.5)),                                                        
           sliderInput("n","Number of Observations in Mean:",
                          min=1, max=30, value=1,step=1, 
                          animate=animationOptions(interval = 1000, loop = FALSE, 
                          playButton = NULL, pauseButton = NULL)),

          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 11/29/2014</h6>"),width=2
        ),
  mainPanel(
      tabsetPanel(
          tabPanel("Graphs",plotOutput("plot1"),uiOutput("text1")),
          tabPanel("Probabilities",uiOutput("table1"))
      )     
    )
  ),  
  uiOutput("explainText")    
))

