library(shiny)

shinyUI(fluidPage(

  titlePanel("Confidence Interval Illustration"),
  
  
  sidebarLayout(
      sidebarPanel(
         sliderInput("n","Sample Size n", 
             min = 5, max = 100, value=50),
         sliderInput("mu",HTML("Population Mean &mu;"),
             min=0, max=200, value=100),             
         sliderInput("sigma",HTML("Population Standard Deviation &sigma;"),
             min=1, max=50, value=25),
         selectInput("alpha", HTML("Desired Confidence  Level &alpha;"), 
                  choices = c(68,90,95,99,99.9), selected = 90),
         HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<h6>Written by: Dr. Wolfgang Rolke<br>Created: 11/22/2014</h6>")             
        ),
  mainPanel(
      uiOutput("table1")
    )
  ),    
  uiOutput("explainText")    
))

