library(shiny)

shinyUI(fluidPage(

  titlePanel("Calculate a Correlation Coefficient and the Least Squares Regression Line"),

  sidebarLayout(
      sidebarPanel(
          HTML("<a class='btn' href='/'><b>Start Over!</b></a>"),                                  
          selectInput("which","Choose type of data",
                  choices=c("Type I","Type II","Type III","Type IV")),
          numericInput("n","Sample Size n", min=5,max=1000,value=30), 
          selectInput("fit","With Least Squares Fit?",
                 choices=c("No","Yes")),       
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 12/22/2014</h6>")
        ),
  mainPanel(
      tabsetPanel(
          tabPanel("Dataset",uiOutput("datatable")),
          tabPanel("Scatterplot",plotOutput("plot")),          
          tabPanel("Calculations",
              uiOutput("text2"),
              uiOutput("text1"),
              uiOutput("text3")
          )
      )
    )
  ),
    
  uiOutput("explainText")    
))

