library(shiny)
            
shinyUI(fluidPage(

  titlePanel("Pearson's Correlation Coefficient"),
  
  
  sidebarLayout(
    sidebarPanel(
      numericInput("n", "Number of Points:", value = 250,
             min = 10, max = 1000),
      sliderInput("rho","Correlation Coefficient",
           min=-1.0, max=1.0, value=0, step=0.01),
      selectInput("out","Include Outliers?",
            choices=c("No","Yes")),
      conditionalPanel( condition = "input.out == 'Yes'",
            numericInput("m","How many?",  
                  min=1,max=10,value=1)),                  
      
      HTML("<br>&nbsp;&nbsp;"),
      HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
      HTML("<h6>Created: 11/22/2014</h6>")              
    ),
  mainPanel(
      tabsetPanel(
          tabPanel("Plot",uiOutput("text1"),plotOutput("myPlot")),
          tabPanel("Hypothesis Test",uiOutput("text2"))
      )
    )
  ),    
  uiOutput("explainText")    
))

