library(shiny)

shinyServer(function(input, output) {
       
  data <- reactive({
    a <- input$rho/sqrt(1-input$rho^2)
    x <- rnorm(input$n)
    y <- a*x+rnorm(input$n)
    cbind(x,y)
  })
        
  output$plot <- renderPlot({
    plot(data(),pch=20,xlab="x",ylab="y")
  })
    
  output$text <- renderText({  
        pc <- round(c(input$rho,cor(data())[1,2]),3)
        l1 <- paste("<h4>Parameter Correlation Coefficient: ",HTML("&rho;"),
                  " = ",pc[1],"<h4>")
        l2 <- paste("<h4>Sample Correlation Coefficient r = ",
                        pc[2],"</h4>")
        c(l1,l2)  
       })
})

