library(shiny)

shinyServer(function(input, output) {

    red <- paste("<font color=\"red\">")             
    blue <- paste("<font color=\"blue\">")           
    plus1 <- paste("<font size=\"+1\">")           

    data <- reactive({ 
         if(input$which=="Type I") x <- round(rnorm(input$n,10,3),1)
         if(input$which=="Type II") x <- round(runif(input$n,0,20),1)
         if(input$which=="Type III") x <- round(rexp(input$n,0.1),1)
         if(input$which=="Type IIII") x <- round(rt(input$n,2),1)
         sort(x)
    })              
 
  
   output$datatable <- renderText({
      x <- data()
      a <- "<h4>Data:</h4>"
      a[2] <- "<table>"
      k <- 0
      i <- 2
      repeat {
          i <- i+1
          a[i] <-"<Tr>"
          for(j in 1:10) {
              k <- k+1
              if(k>length(x)) break
              a[i] <- paste(a[i],"<Td><strong>",HTML("&nbsp;"),x[k]," </Td>",collapse="")
          }    
          a[i] <- paste(a[i],"</Tr>")
          if(k>length(x)) break
      }    
      a[i+1] <- "</table>"      
      a[i+2] <- "<hr>"
      a
   }) 
   
   output$text1 <- renderText({
        x <- data()
        mu <- round(mean(x),1)
        s <- round(sd(x),1) 
        k <- as.numeric(input$k)
        trueperc <- c(68,95,100)[k] 
        line <- paste("<h4>(X&#773; - ",ifelse(k>1,k,""),"s,  X&#773; + ",ifelse(k>1,k,""),"s) = (",mu-k*s,", ",mu+k*s,")</h4>",sep="")
        line[2] <- paste("<h4>",trueperc,"% of",length(x)," is ",round(trueperc/100*length(x),1),"</h4>")
        x1 <- c(x[x<mu-k*s],x[x>mu+k*s])
        if(length(x1)>0) { 
            line[3] <- paste("<h4>Observations not in (",mu-k*s,",",mu+k*s,"):</h4>")
            line[4] <- paste("<h4>",paste(x1,collapse=" "),"</h4>")  
        }    
        else {
          line[3] <- "<h4>All of the Observations are in the Interval!</h4>"
          line[4] <- ""
        }  
        line[5] <- paste("<h4>True Number of Observations in the Interval",length(x)-length(x1),"</h4>")
        line[6] <- paste("<h4>True Percentage of Observations in the Interval",100-round(100*length(x1)/length(x),1),"%</h4>")
        line
   })        
             

  output$explainText <- renderText({ 
        "<h5>Explanation: This demo illustrated the Empirical Rule </h5>"
        
  })

})

