library(shiny)

shinyServer(function(input, output) {
       
    data <- reactive({ 
          switch(input$dataset,
                "Normal" = rnorm(input$n,input$mu,input$s),
                "t" = rt(input$n,input$m),
                "Uniform" = runif(input$n),
                "Exponential" = rexp(input$n,input$l))
    })
        
  output$plot <- renderPlot({
    par(mfrow=c(2,2))
    hist(data(),100,main="",xlab="",ylab="")
    boxplot(data())
    qqnorm(data())
    qqline(data())
  })
    
})

