library(shiny)
              
shinyUI(fluidPage(

  titlePanel("Graphs of some distributions"),
  
  
  sidebarLayout(
    sidebarPanel(
    selectInput("dataset", "Choose a Distribution:", 
              choices = c("Normal","t","Uniform","Exponential")),
    conditionalPanel( condition = "input.dataset == 'Normal'",
        sliderInput("mu","Population Mean",
           min=-100, max=100, value=0,step=0.1),   
        sliderInput("s","Population Standard Deviation",
           min=0, max=30, value=1,step=0.1)),
    conditionalPanel( condition = "input.dataset == 't'",
        sliderInput("m","Degree of Freedom",
           min=1, max=100, value=1,step=1)),                     
    conditionalPanel( condition = "input.dataset == 'Exponential'",
        sliderInput("l","Rate",
           min=0.1, max=10, value=1,step=0.1)),                     

      numericInput("n", "Number of Observations:", 500,
             min = 10, max = 1e5),

      HTML("<br>&nbsp;"),
      HTML("<br>&nbsp;"),
      HTML("<br>&nbsp;"),
      HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
      HTML("<h6>Created: 11/22/2014</h6>"),width=3                  
    ),
  mainPanel(
      plotOutput("plot")
    )
  )
))

