library(shiny)

shinyUI(fluidPage(

  titlePanel("How to do a Frequency Table and draw a Histogram"),

  sidebarLayout(
      sidebarPanel( 
          HTML("<a class='btn' href='/'><b>Start Over!</b></a>"),
          selectInput("which","Choose type of data",
                  choices=c("Type I","Type II","Type III","Type IIII")),
          numericInput("n","Sample Size n", min=5,max=1000,value=30),             
          textInput("classwidth","Classwidth"),
          numericInput("adj","Adjustment of Right Edge of Classes",value=0),
          textInput("left","Left Endpoint"),                           
          selectInput("datasort","Should data be ordered?",
                  choices=c("No","Yes")),
          HTML("<h5>To do a new example click Start Over!<br>to clear Classwidth and Left Endpoint</h5>"),        
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 11/28/2014</h6>"),width=2
        ),
        mainPanel(
      tabsetPanel(
          tabPanel("Dataset",uiOutput("datatable1")),
          tabPanel("Plot",uiOutput("text2"),uiOutput("text3"),uiOutput("text1"),plotOutput("plot1"))
      )  
      )
    ),
    uiOutput("explainText")    
    
  
))

