library(shiny)

spc <- HTML("&nbsp;")
alternatives <- c(" larger than "," smaller than "," different from ")

shinyServer(function(input, output) {

    choose <- reactive({
        if(input$param=="Percentage") par <- "percentage"
        if(input$param=="Mean") par <- "mean"
        if(input$param=="All") par <- ifelse(runif(1)<0.5,"mean","percentage")
        if(input$methods=="Hypothesis Test") prob <- "hypothesis test"
        if(input$methods=="Confidence Interval") prob <- "confidence interval"
        if(input$methods=="All") prob <- ifelse(runif(1)<0.5,"hypothesis test","confidence interval")
        c(prob,par)
    })

    whichstory <- reactive({sample(1:5,1)})
    
    data <- reactive({
          alpha <- sample(c(90,95,99),1)
          greaterlessorequal <- 3          
          if(choose()[2]=="percentage") {
                 digits <- 3 
                 n <- sample(100:1000,1)
                 if(whichstory()==1)  p <- sample(c(4:16)*0.05,1)
                 if(whichstory()==2)  p <- sample(c(8:12)*0.05,1)
                 if(whichstory()==3)  p <- sample(c(4:8)*0.05,1)                 
                 if(whichstory()==4)  p <- sample(c(8:16)*0.025,1)                 
                 if(whichstory()==5)  {n <- sample(200:400,1);p <- sample(c(25:35)*0.01,1)}                 

                 x <- rbinom(1,n,p)
                 par0 <- round(runif(1,p-0.1,p+0.1),2)
                 if(runif(1)<0.66) greaterlessorequal <- ifelse(par0<x/n,1,2) 
          }
          else {
                 p <- 0 
                 n <- sample(10:50,1)
                 if(whichstory()==1) {
                    mu <- runif(1,10,100)
                    digits <- 1
                    par0 <- round(runif(1,mu-2,mu+2),digits)
                    sigma <- runif(1,mu/10,mu/4)
                    x <- round(rnorm(n,mu,sigma),digits)
                 }   
                 if(whichstory()==2) {
                    mu <- runif(1,5,20)                
                    digits <- 1  
                    par0 <- round(runif(1,mu-1,mu+1),digits)                    
                    x <- round(abs(rnorm(n,mu,10)),digits)
                 }   
                 if(whichstory()==3) {
                    mu <- runif(1,20,200)                
                    digits <- 2        
                    par0 <- round(runif(1,mu-5,mu+5))                    
                    x <- round(abs(rnorm(n,mu,mu)),digits)
                 }   
                 if(whichstory()==4) {
                    mu <- runif(1,2000,15000)             
                    digits <- (-2)           
                    par0 <- round(runif(1,mu-1000,mu+1000),digits)                    
                    x <- round(abs(rnorm(n,mu,mu)),digits)
                 }   
                 if(whichstory()==5) {
                    mu <- runif(1,2.5,3.0)             
                    digits <- 1           
                    par0 <- round(runif(1,mu-0.1000,mu+0.1),digits)                    
                    x <- round(abs(rnorm(n,mu,mu)),digits)
                 }   
                 if(runif(1)<0.66) greaterlessorequal <- ifelse(par0<mean(x),1,2) 
          }          
          y <- c(p,n,alpha,par0,greaterlessorequal,digits)
          names(y) <- c("p","n","alpha","par0","greaterlessorequal","digits")
          return(list(x=x,y=y))
    })
    
    problems <- reactive({
           x <- data()[[1]]
           k_gle <- data()[[2]][5]
           greaterlessorequal <- alternatives[k_gle]
           n <- data()[[2]][2]
           alpha <- data()[[2]][3]                    
           par0 <- data()[[2]][4]
           if(choose()[2]=="percentage") {
                if(choose()[1]=="confidence interval") {                 
                    if(whichstory()==1) 
                        txt <- paste("<h4>A company has a machine that makes widgets. Each widget is either red or blue. 
                            At the end of one day they they find that the machine made ",n," widgets, of which ",
                            x," where red. Find a ",alpha,"% confidence interval for the true percentage of red widgets</h4",sep="")
                    if(whichstory()==2) 
                        txt <- paste("<h4>Mr. Miller is running for major. He wants to know how he is doing, so he does a 
                            phone survey. Of the ",n," people interviewed ",x," said they would vote for him. 
                            Find a ",alpha,"% confidence interval for the true percentage of people who will vote for him</h4",sep="")        
                    if(whichstory()==3) 
                        txt <- paste("<h4>The Tasty Ice Cream company is considering to introduce a new flavor of ice cream. 
                            They want to know how many people might buy it, so they do a taste test. Of the ",n,
                            " people participating in the test ",x," said they would buy it. Find a ",alpha,"% confidence 
                            interval for the true percentage of
                            people who will buy the new ice cream</h4",sep="")        
                    if(whichstory()==4) 
                        txt <- paste("<h4>An insurance company wants to know what proportion of their policies are for cars. 
                            They randomly select ",n," policies and find that ",x," of them are car insurances. Find a ",alpha,"% confidence 
                            interval for the true percentage of car insurance policies</h4",sep="")
                    if(whichstory()==5) 
                        txt <- paste("<h4>A certain course at some University has a very high failure rate. 
                               The University randomly selects ",n," students at the beginnig of the semester. 
                                At the end of the semester ",x," of them failed the course.      
                        Find a ",alpha,"% confidence interval for the true percentage of failures in this course.</h4",sep="")

                    if(whichstory()==10) 
                        txt <- paste("<h4>   They randomly select ",n,"  and find that ",x," of them      
                        Find a ",alpha,"% confidence interval for the true percentage of
                        </h4",sep="")
        
                }
                else {
                    alpha <- 100-alpha
                    par0 <- 100*par0 #proportion to percentage
                    if(whichstory()==1)
                        txt <- paste("<h4>A company has a machine that makes widgets. Each widget is either red or blue. 
                           According to their contract ",par0,"% of the widgets are supposed to be red.   
                            They randomly select ",n," widgets, of which ",x," are red. Test at the ",alpha,"% 
                            level whether the  true percentage of red widgets is now ",greaterlessorequal,par0,"% </h4>",sep="")
                    if(whichstory()==2) 
                        txt <- paste("<h4>Mr. Miller is running for major. In a survey last month he received ",par0,"% 
                                      of the votes. He decides to do another poll, and this time of the ",n," people 
                                      interviewed ",x," said they would vote for him. Test at the ",alpha,"% level 
                                      whether his percentage of the votes is now ",greaterlessorequal," ",par0,"% </h4>",sep="")                        
                    if(whichstory()==3) 
                        txt <- paste("<h4>The Tasty Ice Cream company is considering to introduce a new flavor of 
                                  ice cream. Last month they did a survey and found that ",par0,"% of the tasters said 
                                  they would like the flavour. Since then they have made some changes, so they decide to 
                                  repeat the taste test. Of the ",n," people participating in the new test ",x," said they 
                                  would buy it. Test at the ",alpha,"% level whether the percentage of
                                  people who will buy the ice cream is now ",greaterlessorequal," ",par0,"% </h4>",sep="")                        
                   if(whichstory()==4) 
                        txt <- paste("<h4>Some years ago an insurance company did a study of their policies and found 
                              that ",par0,"% of them where for cars. They randomly select ",n," of their current policies and 
                              find that ",x," of them are car insurances.  Test at the ",alpha,"% level whether the percentage of
                                   car insurance policies is now ",greaterlessorequal," ",par0,"% </h4",sep="")
                    if(whichstory()==5) 
                        txt <- paste("<h4>Some years ago a certain course at some University had a failure rate of ",par0,"%. 
                               To see whether there has been any change the University randomly selects ",n," students at the beginnig of the semester. 
                                At the end of the semester ",x," of them failed the course. Test at the ",alpha,"% level whether the percentage of
                                 failures is now ",greaterlessorequal," ",par0,"%</h4",sep="")

                    if(whichstory()==10) 
                        txt <- paste("<h4>   
                                   Test at the ",alpha,"% level whether the percentage of
                                   is now ",greaterlessorequal," ",par0,"%</h4",sep="")

                }
          }                  
          else {
               x <- paste("<hr>",paste(x,collapse="  "),"<hr>",collapse=" ")
               if(choose()[1]=="confidence interval") {
                    if(whichstory()==1)
                      txt <- paste("<h4>A company has a machine that makes widgets. They randomly select some widgets 
                        and measure their lengths (in inches). They find:",x,"Find a ",alpha,"% confidence interval for 
                        the true mean lengths of the widgets</h4>",sep="")
                    if(whichstory()==2)
                      txt <- paste("<h4>A call center wants to study the time their representatives spend on the phone 
                            with their customers. They randomly time a number of phone calls. They find",x,"Find a ",
                            alpha,"% confidence interval for the true mean lengths of the phone calls</h4>",sep="")
                    if(whichstory()==3)
                      txt <- paste("<h4>A store wants to find out how much money people spend in there. They randomly 
                              collect some sales receipts and find:",x," Find a ",alpha,"% confidence interval for the true mean 
                              amount on dollars spent in the store</h4>",sep="")    
                    if(whichstory()==4) 
                        txt <- paste("<h4>An insurance company is interested in the amount of money thay pay on average on insurance
                        claims. They randomly select ",n," policies and find the payouts:",x,"Find a ",alpha,"% confidence interval 
                          for the true mean amount of payouts</h4",sep="")
                    if(whichstory()==5) 
                        txt <- paste("<h4>A University wants to know about the GPAs of their students.        
                        They randomly select the GPA of ",n," students and find",x,"Find a ",alpha,"% confidence interval 
                            for the true mean GPA.</h4",sep="")

                    if(whichstory()==10) 
                        txt <- paste("<h4>        
                        They randomly select ",n,"  and find the :",x,"Find a ",alpha,"% confidence interval for the true mean
                        </h4",sep="")

               }
               else {
                    alpha <- 100-alpha
                    if(whichstory()==1)
                       txt <- paste("<h4>A company has a machine that makes widgets. They have a contract with a customer 
                              that specifies a
                           mean length of the widgets of ",par0," inches. They randomly select some widgets and measure their lengths (in inches).
                          They find",x,"Test at the ",alpha,"% level whether the  true mean length of the widgets is
                             ",greaterlessorequal," than ",par0," inches</h4>",sep="")               
                    if(whichstory()==2)
                        txt <- paste("<h4>Last month a call center studied the time their representatives spend on the phone 
                              with their customers and found that the mean length of the calls was ",par0," minutes. 
                             They have since made some changes to their customer service and want to know how it effected the 
                            lengths of the calls. They randomly select some calls and time their lengths.
                            They find",x,"Test at the ",alpha,"% level whether the  true mean length of the calls is
                             ",greaterlessorequal," than ",par0," minutes</h4>",sep="")               
                    if(whichstory()==3)
                      txt <- paste("<h4>A store has just done a major add compaign on TV, and they want to know what 
                            effect it has had. They randomly collect some sales receipts. They find",x,"
                           Before the campaign the mean amount of sale was $",par0," Test at the ",alpha,"% level whether the  
                          true mean amount of money is now ",greaterlessorequal," $",par0,"</h4>",sep="") 
                    
                    if(whichstory()==4) 
                        txt <- paste("<h4> An insurance company is interested in the amount of money thay pay on average on insurance
                        claims. Some years ago a study showed that the mean payout was $",par0,
                            " They randomly select ",n," policies and find the payouts:",x,"Test at the ",alpha,"% level 
                                whether the mean payout is now ",greaterlessorequal," ",par0,"</h4",sep="")      
                    if(whichstory()==5) 
                        txt <- paste("<h4>The chancellor of some University reads in the newsaper that the mean GPA at some
                        other University is ",par0,". He wants to know how that compares to the mean GPA at his University, so he 
                        randomly collects the GPAs of some students and finds:",x,"Test at the ",alpha,"% level whether the mean of
                             GPA of his students is ",greaterlessorequal," ",par0,"</h4",sep="")
                         
                    if(whichstory()==10) 
                        txt <- paste("<h4>        
                        Test at the ",alpha,"% level whether the mean of
                                   now ",greaterlessorequal," ",par0,"</h4",sep="")
                              

               }
          }     
          txt          
    })
    
    summaries <- reactive({
           x <- data()[[1]]
           n <- data()[[2]][2]
           if(input$stats=="No") return("")
           if(choose()[2]=="percentage") {                
                txt <- paste("<h5>Parameter: proportion &pi;, Problem: ",choose()[1],"
                             <br>Number of Bernoulli trials: n = ",n,"
                             <br>Number of Successes : x = ",x,"
                             <br>Estimate of success probability : p&#770; = x/n = ",
                             x,"/",n," = ",round(x/n,3),"<h5>")
           }
           else {
                digits <- data()[[2]][6]
                txt <- paste("<h5>Parameter: mean &mu;, Problem: ",choose()[1],"
                              <br>Sample Size n = ",n,"
                             <br>Sample Mean X&#773;  = ",round(mean(x),digits+2),"
                             <br>Sample Standard Deviation  = ",round(sd(x),digits+2),"<h5>")
          
           }
           txt                        
   }) 
   
   solutions <- reactive({
           x <- data()[[1]]
           k_gle <- data()[[2]][5]
           greaterlessorequal <- alternatives[k_gle]
           n <- data()[[2]][2]
           alpha <- data()[[2]][3]                    
           par0 <- data()[[2]][4]
           digits <- data()[[2]][6]           
           if(input$sol=="No") return("")
           if(choose()[2]=="percentage") {
               if(whichstory()==1) st <- "red widgets"
               if(whichstory()==2) st <- "voters for Mr. Miller"
               if(whichstory()==3) st <- "people who will buy the new flavor of ice cream"
               if(whichstory()==4) st <- "car insurance claims"
               if(whichstory()==5) st <- "GPA"
               al <- round(1-alpha/100,2)
               phat <- round(x/n,3)
               good <- c(ifelse(x>=50,T,F),ifelse(n-x>=50,T,F))  
               if(choose()[1]=="confidence interval") {
                    cl <- round(qnorm(1-al/2),3)
                    txt <- paste("<h5>Assumptions: np&#770; = ",x,ifelse(good[1]," &ge; "," &lt; ")," 50 and
                                                   n(1-p&#770;) =",n-x,ifelse(good[2]," &ge; "," &lt;" )," 50<h5>")           
                    
                    if(sum(good)<2) return(c(txt,"<h5>Assumption is WRONG</h5>"))
                    txt[2] <- paste("<h5>Assumption is ok</h5>",sep="")
                    txt[3] <- paste("<h5>",alpha,"% confidence interval, so &alpha; = ",al,", so z<sub>&alpha;/2</sub> = 
                                  z<sub>",al/2,"</sub> = ",cl,"</h5>",sep="")
                    txt[4] <- paste("<h5>p&#770; &plusmn; z<sub>&alpha;/2</sub>&radic;(p&#770;(1-p&#770;)/n) =</h5>",sep="")
                    txt[5] <- paste("<h5>",phat," &plusmn; ",cl,"&radic;(",phat,"(1-",phat,")/",n,") =</h5>",sep="")
                    txt[6] <- paste("<h5>",phat," &plusmn; ",round(cl*sqrt(phat*(1-phat)/n),3)," =</h5>",sep="")
                    txt[7] <- paste("<h5>(",round(phat-cl*sqrt(phat*(1-phat)/n),3),", ",round(phat+cl*sqrt(phat*(1-phat)/n),3),")</h5>",sep="")
                    txt[8] <- paste("<h5>So a ",alpha,"% confidence interval   for the true percentage of ",st," is given by</h5>",sep="")
                    txt[9] <- paste("<h5>(",round((phat-cl*sqrt(phat*(1-phat)/n))*100,1),"%, ",round((phat+cl*sqrt(phat*(1-phat)/n))*100,1),"%)</h5>",sep="")
              }
              else {
                    
                    z <- round(sqrt(n)*(phat-par0)/sqrt(par0*(1-par0)),3)
                    cl <- round(qnorm(1-ifelse(k_gle==3,al/2,al)),3)
                    cl1 <- ifelse(k_gle==3,"z<sub>&alpha;/2</sub>","z<sub>&alpha;</sub>")
                    
                    txt <- "<h5>1) Parameter: proportion &pi;<p>
                                2) Method: based on normal approximation</h5>"
                    txt[2] <- paste("<h5>3) Assumptions: np&#770; =",x,ifelse(good[1]," &ge; "," &lt; ")," 50 and
                                                   n(1-p&#770;) =",n-x,ifelse(good[2]," &ge; "," &lt; ")," 50<h5>")           
                    if(sum(good)<2) return(c(txt,"<h5>Assumption is WRONG</h5>"))
                    txt[3] <- paste("<h5>Assumption is ok</h5>",sep="") 
                    txt[4] <- paste("<h5>4) &alpha;  = ",al,"</h5>",sep="")
                    txt[5] <- paste("<h5>5) H<sub>0</sub>: &pi;  = ",par0,"</h5>",sep="")
                    txt[6] <- paste("<h5>6) H<sub>a</sub>: &pi; ",c("&gt;","&lt;","&ne;")[k_gle]," ",par0,"</h5>",sep="")
                    txt[7] <- paste("<h5>7) z = &radic;n *(p&#770-&pi;<sub>0</sub>)/&radic;[&pi;<sub>0</sub>(1-&pi;<sub>0</sub>)] =
                                                &radic;",n," *(",phat,"-",par0,")/&radic;[",par0,"(1-",par0,")] = ",z,"</h5>",sep="")        
                    txt[8] <- paste("<h5>8) Reject H<sub>0</sub> if |z| > ",cl1," = ",cl,"</h5>",sep="")
                    txt[9] <- paste("<h5>9) |z| = ",abs(z),ifelse(abs(z)>cl," &gt; "," &lt; "),cl,
                              " so we ",ifelse(abs(z)>cl,"reject","fail to reject"), " the null hypothesis, the true percentage
                                of ",st," is ",ifelse(abs(z)>cl,"","not")," statistically significantly ", 
                                greaterlessorequal,par0*100,"% </h4>",sep="")
              }
                
          } 
          else {
                if(whichstory()==1) st <- "red widgets"
                if(whichstory()==2) st <- "phone calls"
                if(whichstory()==3) st <- "money"
                if(whichstory()==4) st <- "payouts"
                if(whichstory()==5) st <- "GPAs"
                al <- round(1-alpha/100,2)
                xbar <- round(mean(x),3)
                s <- round(sd(x),3)
                if(choose()[1]=="confidence interval") {
                    cl <- round(qt(1-al/2,n-1),3)
                    txt <- "<h5>Assumptions are ok (checked boxplot and normal plot)</h5>"
                    txt[2] <- paste("<h5>",alpha,"% Confidence Interval, so &alpha; = ",al,", so 
                          t<sub>n-1,&alpha;/2</sub> = t<sub>",n-1,",",al/2,"</sub> = ",cl,"</h5>",sep="")
                    txt[3] <- paste("<h5>X&#773; &plusmn; t<sub>n-1,&alpha;/2</sub>s/&radic;n =</h5>",sep="")
                    txt[4] <- paste("<h5>",xbar," &plusmn; ",cl,"*",s,"/&radic;",n," =</h5>",sep="")
                    txt[5] <- paste("<h5>",xbar," &plusmn; ",round(cl*s/sqrt(n),3)," =</h5>",sep="")
                    txt[6] <- paste("<h5>(",round(xbar-cl*s/sqrt(n),3),", ",round(xbar+cl*s/sqrt(n),3),")</h5>",sep="")
                    txt[7] <- paste("<h5>So a ",alpha,"% confidence interval for the true mean of the ",st," is given by</h5>",sep="")
                    txt[8] <- paste("<h5>(",round(xbar-cl*s/sqrt(n),1),", ",round(xbar+cl*s/sqrt(n),1),")</h5>",sep="")                                 
                } 
                else {
                    T <- round(sqrt(n)*(xbar-par0)/s,3)
                    cl <- round(qt(1-ifelse(k_gle==3,al/2,al),n-1),3)
                    cl1 <- ifelse(k_gle==3,"t<sub>n-1,&alpha;/2</sub>","t<sub>n-1,&alpha;</sub>")
                    
                    txt <- "<h5>1) Parameter: mean &mu;<p>
                                2) Method: 1-sample t<p>
                                3) Assumptions: data comes from a normal distribution (checked boxplot and normal plot)</h5>"
                    txt[2] <- paste("<h5>4: &alpha;  = ",al,"</h5>",sep="")
                    txt[3] <- paste("<h5>5: H<sub>0</sub>: &mu;  = ",par0,"</h5>",sep="")
                    txt[4] <- paste("<h5>6: H<sub>a</sub>: &mu; ",c("&gt;","&lt;","&ne;")[k_gle]," ",par0,"</h5>",sep="")
                    txt[5] <- paste("<h5>7: T = &radic;n(X&#773;-&mu;<sub>0</sub>)/s =
                                                &radic;",n,"(",xbar,"-",par0,")/&radic;",s," = ",T,"</h5>",sep="")        
                    txt[6] <- paste("<h5>8) Reject H<sub>0</sub> if |T| > ",cl1," = ",cl,"</h5>",sep="")
                    txt[7] <- paste("<h5>9) |T| = ",abs(T),ifelse(abs(T)>cl," &gt; "," &lt; "),cl,
                              " so we ",ifelse(abs(T)>cl," reject "," fail to reject "), " the null hypothesis, the true 
                              mean of the ",st," is ",ifelse(abs(T)>cl,""," not ")," statistically significantly ", 
                                greaterlessorequal,par0,"</h4>",sep="")

              }

          }                 
          txt
                                 
    })                       
    
   output$story <- renderText({
          problems()
   })  
   
   output$stats <- renderText({
          summaries()    
   
   })        
       
   output$formulas <- renderText({
           
          if(input$forms=="No") image <- HTML("<img src=\"f0.png\">")
          else {
                if(choose()[1]=="confidence interval") {
                    if(choose()[2]=="percentage") image <- paste("<h5>Confidence Interval Formula:</h5>",HTML("<img src=\"f1.png\">"))
                    else image <- image <- paste("<h5>Confidence Interval Formula:</h5>",HTML("<img src=\"f3.png\">"))
                }    
                else {
                    if(choose()[2]=="percentage") image <- paste("<h5>Test Statistic :</h5>",HTML("<img src=\"f2.png\">"))
                    else image <- paste("<h5>Test Statistic :</h5>",HTML("<img src=\"f4.png\">"))
                }
          }
          image
   })               
   
   output$solution <- renderText({
         solutions()
   })
           

  output$explainText <- renderText({ 
        "<h5>Explanation: This page randomly generates problems in statistical inference
        <br>problems are either for the mean of for proportions
        <br>and either are to find a confidence interval or do a hypothesis test
        <br>to get a new problem just reload the page</h5>"        
  })

})

