library(shiny)

shinyUI(fluidPage(

  titlePanel("Problems for Statistical Inference"),

  sidebarLayout(
      sidebarPanel(
          HTML("<a class='btn' href='/'><b>Do Another!</b></a>"),
          HTML("<h1>&nbsp;</h1>"),
          selectInput("methods","Which Methods?",
              choices=c("All","Confidence Interval","Hypothesis Test")),
          selectInput("param","Which Parameter?",
              choices=c("All","Mean","Percentage")),
          selectInput("stats","Show Summary Statistics",
              choices=c("No","Yes")),
          selectInput("forms","Show Formula",
              choices=c("No","Yes")),              
          selectInput("sol","Show Complete Solution",
              choices=c("No","Yes")),    
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 11/30/2014</h6>"),width=2
        ),
  mainPanel(
        uiOutput("story"),
        uiOutput("stats"),
        uiOutput("formulas"),
        uiOutput("solution")
    )
  ),
    
  uiOutput("explainText")    
))

