library(shiny)

shinyUI(fluidPage(

  titlePanel("Least Squares Regression"),
  
  sidebarLayout(
    sidebarPanel(
      numericInput("n", "Number of Points", 100,
             min = 10, max = 1000),
      sliderInput("intercept", "Intercept", 0,
             min = -10, max = 10,step=0.5),       
      sliderInput("slope", "Slope", 0,
             min = -10, max = 10,step=0.5),
      sliderInput("sd", HTML("Residual Standard deviation &sigma;"), 1,
             min = 0.0, max = 5.0,step=0.5),
           HTML("<br>&nbsp;"),
      HTML("<br>&nbsp;"),
      HTML("<br>&nbsp;"),
      HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
      HTML("<h6>Created: 11/22/2014</h6>")          
             
    ),
  mainPanel(
      uiOutput("text1"),                  
      plotOutput("myPlot")
    )
  ),
  uiOutput("explainText")
))

