library(shiny)

shinyServer(function(input, output) {
       
  data <- reactive({
     x=c(rnorm(input$n,10,1),seq(input$p,10,length=20)[1:input$m])
  })
        
  output$myPlot <- renderPlot({
    x=data()
    par(mfrow=c(2,1))
    hist(x,2*sqrt(input$n),freq=F,main="")
    abline(v=mean(x),col="blue",lwd=2)  
    abline(v=median(x),col="red",lwd=2)
    boxplot(x,horizontal=TRUE)

  })
    
  output$text1 <- renderText({ 
        z=round(c(mean(data()),sd(data())),2)
        paste(HTML("<strong>"),HTML("<font color=blue>"),"Sample Mean: =",z[1],HTML("&nbsp;"),HTML("&nbsp;"),"Standard Deviation :",z[2])
       })
  output$text2 <- renderText({ 
      iqr <- diff(quantile(data(),c(0.25,0.75)))
      z=round(c(median(data()),iqr),2)
      paste(HTML("<strong>"),HTML("<font color=red>"),"Sample Median: =",z[1],HTML("&nbsp;"),HTML("&nbsp;"),"Interquartile Range :",z[2])
     })     

})

