library(shiny)

sp <- paste("&nbsp;&nbsp;&nbsp;")

shinyServer(function(input, output,session) {

   output$text <- renderText({
         paste("<h3>",sp,sp,sp,sp,sp,sp,sp,sp,sp,sp,sp,sp,"&mu; =",input$mu,sp,"  &sigma; =",input$sigma,"</h3>")       
   }) 
    
   output$plot <- renderPlot({
        n <- 10000
        x<- rnorm(n,input$mu,input$sigma)
        ymax <- 1/sqrt(2*pi)/input$sigma
        if(input$comp=="Yes") ymax <- max(ymax,dnorm(0))
        xrg <- range(x)
        if(input$comp=="Yes") {
            xrg[1] <- min(xrg[1],-3)
            xrg[2] <- max(xrg[2],3)
        }
        hist(x,freq=F,breaks=250,xlim=xrg,ylim=c(0,ymax),xlab="x",ylab="",main="")
        if(input$fit=="Yes") {
            x <- seq(input$mu-4*input$sigma,input$mu+4*input$sigma,length=200)
            lines(x,dnorm(x,input$mu,input$sigma),lwd=3,col="blue")
        }    
        if(input$comp=="Yes") {
            x <- seq(-4,4,length=200)
            lines(x,dnorm(x),lwd=3,col="red")
        }    
        
   })
           

  output$explainText <- renderText({ 
        "<h5>Explanation: This demo illustrates the normal distribution </h5>"
        
  })

})

