library(shiny)

shinyUI(fluidPage(

  titlePanel("Illustrates the Normal Distribution"),

  sidebarLayout(
      sidebarPanel(
           sliderInput("mu",HTML("Population Mean &mu;"),
              min=-10, max=10, value=0,step=1,
              animate=animationOptions(interval = 1000)),
          sliderInput("sigma",HTML("Population Standard Deviation &sigma;"),
              min=0.25, max=5, value=1,step=0.25,
              animate=animationOptions(interval = 1000)),
          selectInput("fit","With Theoretical Curve?",
                choices=c("No","Yes")),
          selectInput("comp","Compare to Standard Normal?",
                choices=c("No","Yes")),      
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 12/24/2014</h6>"),width=3
        ),
  mainPanel(
      uiOutput("text"),
      plotOutput("plot")
    )
  ),
    
  uiOutput("explainText")    
))

