library(shiny)

spc <- paste("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;")

shinyServer(function(input, output) {

   
   output$text <- renderText({
        x <- seq(input$mu-3*input$sigma,input$mu+3*input$sigma,length=250)
        xlow <- round(x[input$rg[1]],2)
        xhigh <- round(x[input$rg[2]],2)
        if(input$rg[1]==0) 
            txt <- paste("<h3>",spc,"P( X < ",xhigh,") = ",
                round(pnorm(xhigh,input$mu,input$sigma),4),"</h3>")
        if(input$rg[2]==250)         
            txt <- paste("<h3>",spc,"P( X > ",xlow,") = ",
                round(1-pnorm(xlow,input$mu,input$sigma),4),"</h3>")
        if(input$rg[1]>0 && input$rg[2]<250)
            txt <- paste("<h3>",spc,"P(",xlow," < X < ",xhigh,") = ",
                round(pnorm(xhigh,input$mu,input$sigma)-pnorm(xlow,input$mu,input$sigma),4),"</h3>")
        txt        

   })        
   
    
   output$plot <- renderPlot({
        x <- seq(input$mu-3*input$sigma,input$mu+3*input$sigma,length=250)
        y <- dnorm(x,input$mu,input$sigma)
        plot(x,y,xlab="x",ylab="y",type="l",lwd=2)
        x <- x[input$rg[1]:input$rg[2]]
        y <- y[input$rg[1]:input$rg[2]]
        polygon(c(x,rev(x)),c(rep(0,length(x)),rev(y)),col="blue")
   })
           

  output$explainText <- renderText({ 
        "<h5>Explanation: This demo illustrates the meaning of probabilities under the normal curve
        <p> For one sided areas move slider all the way to the left or right </h5>"
        
  })

})

