library(shiny)

shinyUI(fluidPage(

  titlePanel("Polynomial Regression"),

  sidebarLayout(
      sidebarPanel(
          selectInput("ex","Examples",choices=0:5),
          textInput("beta0","Constant","0"),
          textInput("beta1","Linear term","0"),
          textInput("beta2","Quadratic term","0"),
          textInput("beta3","Cubic term","0"),
          sliderInput("xrange","Range of x values",
          min=0,max=1,value=c(0,1)),
          sliderInput("sigma","Standard Error of Residuals",min=0,max=1,step=0.1,value=1),         
          sliderInput("n","Samplesize",min=2,max=1000,value=100),          
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 12/05/2014</h6>"),width=2
        ),
  mainPanel(
         plotOutput("plot1"),
         uiOutput("text1")
    )
  ),
    
  uiOutput("explainText")    
))

