library(shiny)
              
shinyUI(fluidPage(

  titlePanel("Power of a Test"),
  
  
  sidebarLayout(
    sidebarPanel(
      numericInput("n", "Number of Events:", 100,
             min = 10, max = 1000),
      sliderInput("p","Population Success Probability p",
           min=0.05, max=0.95, value=0.5,step=0.05),   
      sliderInput("p0","Hypothesized p",
           min=0.05, max=0.95, value=0.5,step=0.05),   
     
      selectInput("alpha", "Type I error alpha", 
           choices = c(0.01,0.05,0.1),selected=0.05),
      HTML("<br>&nbsp;"),
      HTML("<br>&nbsp;"),
      HTML("<br>&nbsp;"),
      HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
      HTML("<h6>Created: 11/22/2014</h6>")                  
    ),
  mainPanel(
      uiOutput("text1"),
      plotOutput("plot")
    )
  ),
  uiOutput("ExplainText")
))

