library(shiny)

shinyUI(fluidPage(

  titlePanel("Power of a Test"),

  sidebarLayout(
      sidebarPanel(
           sliderInput("n","Sample Size",min=1,max=100, value=50),  
           sliderInput("sigma",HTML("Standard Deviation &sigma;"),  
                  min=0,max=10,value=5,step=0.25),                         
           sliderInput("mu0","Mean of Interest",  
                  min=30,max=70,value=50,step=0.5),                         
           selectInput("alpha",HTML("Type I error probability &alpha;"), 
                 choices = c(0.01,0.05,0.1),selected=0.05),           
           selectInput("alt","Alternative", 
                 choices = c("Less than","Not equal to","Greater than"),selected="Not equal to"),      
                     
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 12/06/2014</h6>"),width=3     
        ),
  mainPanel(
      uiOutput("text1"),
      plotOutput("plot1")
     )
   ), 
   uiOutput("explainText")    
))

