library(shiny)

shinyUI(fluidPage(

  titlePanel("Illustration of the p-value"),

  sidebarLayout(
      sidebarPanel(
           sliderInput("n","Sample Size n", 
                  min=5,max=100,value=50,step=5),                  
          sliderInput("mu",HTML("True mean &mu;"),
           min=9, max=11, value=10,step=0.1),   
                   
          selectInput("alpha",HTML("Type I error probability &alpha;"), 
                 choices = c(0.01,0.05,0.1),selected=0.05),
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<h6>Written by: Dr. Wolfgang Rolke<br>Created: 11/26/2014</h6>")
        ),
      mainPanel(
          uiOutput("text1"),
          plotOutput("plot1")
      )
    ),      
    uiOutput("explainText")    
      
))

