library(shiny)
library(scatterplot3d)


shinyServer(function(input, output) {
    make_jumps <- function (d) {
      jumps=matrix(0,d,2*d)
      for(i in 1:d) jumps[i,((i-1)*2+1:2)]=c(-1,1)
    jumps
  }
  
  output$myPlot <- renderPlot({
      M <- 1e5
      d <- input$d
      A <- input$A
      asum <- function(x) sum(abs(x))
      jumps <- make_jumps(d)
      if(d==1) {
          x <- list(0,0,0,0)
          for(i in 1:4) {
              x[[i]] <- cumsum(sample(c(-1,1),size=M,replace=T))
              I <- c(1:M)[abs(x[[i]])>A][1]
              x[[i]] <- x[[i]][1:I]
          }
          plot(seq_along(x[[1]]),x[[1]],ylim=range(x),type="l",xlab="Time",ylab="y",col="black")
          cols=c("green","red","blue")
          for(i in 2:4) lines(seq_along(x[[i]]),x[[i]],col=cols[i-1])
      }
      if(d==2) {
          x <- list(0,0,0,0)
          for(i in 1:4) {
              x[[i]] <- apply(jumps[,sample(1:(2*d),size=M,replace=T),drop=F],1,cumsum)
              D <- apply(x[[i]],1,asum)
              I <- c(1:M)[D>A][1]
              x[[i]] <- x[[i]][1:I,]
          }
          plot(x[[1]],xlim=range(x),ylim=range(x),type="l",xlab="x",ylab="y",col="black")
          cols=c("green","red","blue")
          for(i in 2:4) lines(x[[i]],col=cols[i-1])
          
     }
     if(d==3) {
          x <- apply(jumps[,sample(1:(2*d),size=M,replace=T),drop=F],1,cumsum)
          D <- apply(x,1,asum)
          I <- c(1:M)[D>A][1]
          x <- x[1:I,]
          scatterplot3d(x[,1],x[,2],x[,3],type="l",xlab="x",ylab="y",
          zlab="z",color="blue")
     }
  })
})

