library(shiny)

shinyUI(fluidPage(

  titlePanel("Illustration of Various Sampling Methods"),

  sidebarLayout(
      sidebarPanel(
          HTML("<a class='btn' href='/'><b>Start Over!</b></a>"),
          selectInput("method",HTML("<h4>Sampling Method</h4>"),
              choice=c("Simple Random Sample","Stratified Sampling","Systematic Sampling","Cluster Sampling")),
          conditionalPanel( condition = "input.method == 'Stratified Sampling'",    
              sliderInput("step1","First Stratify!",min=0, max=10, value=0,step=1, 
                  animate=animationOptions(interval = 500))),        
          conditionalPanel( condition = "input.method == 'Systematic Sampling'",    
              selectInput("whichrange","Select Which", 
                  choice=c(" 1-10","11-20","21-30","31-40","41-50"))),                
          sliderInput("step2","Sample!",min=0, max=10, value=0,step=1, 
              animate=animationOptions(interval = 500)),                      
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 1/16/2015</h6>"),width=3
        ),
  mainPanel(
        HTML("<h4>Our population consists of blue and red balls of different sizes</h4>"),
        HTML("<h4>We want to randomly select balls and compare the sizes of the red and the blue balls</h4>"),
        uiOutput("text1"),
        uiOutput("text"),
        plotOutput("plot")
    )
  ),
    
  uiOutput("explainText")    
))

