library(shiny)

shinyServer(function(input, output) {

    red <- paste("<font color=\"red\">")             
    blue <- paste("<font color=\"blue\">")           
    plus1 <- paste("<font size=\"+1\">")           

    digits <- reactive({
        if(input$which=="Type I") digits<-3
        if(input$which=="Type II") digits<-4
        if(input$which=="Type III") digits<-5
        if(input$which=="Type IIII") digits<-2
        digits
    })    

    data <- reactive({ 
         if(input$which=="Type I") x <- round(rnorm(input$n,10,3),1)
         if(input$which=="Type II") x <- round(rnorm(input$n,30,5),2)
         if(input$which=="Type III") x <- round(rnorm(input$n,0.5,0.1),3)
         if(input$which=="Type IIII") x <- round(rnorm(input$n,200,50))
         x
    })              
 
  
   output$datatable <- renderText({
      x <- data()
      a <- "<table>"
      k <- 0
      i <- 1
      repeat {
          i <- i+1
          a[i] <-"<Tr>"
          for(j in 1:10) {
              k <- k+1
              if(k>length(x)) break
              a[i] <- paste(a[i],"<Td><strong>",HTML("&nbsp;"),x[k]," </Td>",collapse="")
          }    
          a[i] <- paste(a[i],"</Tr>")
          if(k>length(x)) break
      }    
      a[i+1] <- "</table>"      

      a
   }) 
   
   output$text1 <- renderText({
        x <- data()
        mu <- mean(x)
        x1 <- round(x-mu,digits())
        x2 <- round((x-mu)^2,digits())
            
        "<table border>"
        a2 <- paste("<Tr><Th><strong>",plus1,"&nbsp;&nbsp;x</th><th><strong>",plus1,"&nbsp;&nbsp;",HTML("x-X&#773;"),"</th><th><strong>",plus1,"&nbsp;&nbsp;",HTML("(x-X&#773;)<sup>2</sup>"),"</th></tr>")
        a <- rep("",length(x))
        for(i in 1:length(x)) 
            a[i] <- paste("<Tr><Td><strong>",plus1,"&nbsp;&nbsp;",x[i],"</td><td><strong>",plus1,"&nbsp;&nbsp;",x1[i],"</td><td><strong>",plus1,"&nbsp;&nbsp;",x2[i],"</td></tr>")
        c("<table border>",a2,a,"</table>")    
   })        
   
   output$text2 <- renderText({
        x <- data()
        mu <- mean(x)
        paste("<h3>",HTML("X&#773;"),"=",round(mu,digits()),"</h3>")
  })      
  
   output$text3 <- renderText({
        x <- data()
        mu <- mean(x)
        line <- paste("<h3>",HTML("&Sum;(x-X&#773;)<sup>2</sup>"),"=",round(sum((x-mu)^2),digits()),"</h3>")
        line[2] <- paste("<h3>Variance: S<sup>2</sup> =",HTML("&Sum;(x-X&#773;)<sup>2</sup>/(n-1)"),"=",round(sum((x-mu)^2),digits()),"/",length(x)-1,"=",round(sum((x-mu)^2)/(length(x)-1),digits())  ,"</h3>")
        line[3] <- paste("<h3>Standard Deviation: s = &radic;",round(sum((x-mu)^2)/(length(x)-1),digits())," = ",round(sd(x),digits()-1),"</h3>")
        line
  })        
           

  output$explainText <- renderText({ 
        "<h5>Explanation: This demo shows how to calculate a standard deviation </h5>"
        
  })

})

