library(shiny)

shinyUI(fluidPage(

  titlePanel("Taylor Approximations"),

  sidebarLayout(
      sidebarPanel(
           selectInput("f", "Choose a function:", 
                  choices = c("sin(x)","log(x+1)","exp(-x^2)","Enter you own!")),

          conditionalPanel( condition = "input.f == 'Enter you own!'",
                textInput("fun","Write your function:"),
                numericInput("from","From",value=0),
                numericInput("to","To",value=1)),           

           selectInput("deg", "Degree of Approximation:", 
                  choices = c("All","Linear","Quadratic","Cubic","Biquadratic")),
                                                                                
           sliderInput("k","At Point in Range",min=1, max=49, value=12,step=1, 
                animate=animationOptions(interval = 500)),

          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 1/12/2015</h6>"),width=3
        ),
    mainPanel(
      uiOutput("text"),
      plotOutput("plot")
    )
  ),
    
  uiOutput("explainText")    
))

