library(shiny)

shinyServer(function(input, output,session) {

    datasetInput <- reactive({ 
          x <- switch(input$dataset,
           "A" = c(1:2),
           "B" = source("a.R")$value
          ) 
          
          if(input$dataset == "Random") {
                if(input$randompart=="N(10,3)") x <- round(rnorm(input$n,10,3),2)
                if(input$randompart=="t(2)") x <- round(rt(input$n,2),2)
                if(input$randompart=="Exp(1)") x <- round(rexp(input$n,1),2)    
                if(input$randompart=="Binomial(100,0.5)") x <- rbinom(input$n,100,0.5)                             
          }
          x
    })             
 
   data <- reactive({
        x <- datasetInput()
        m <- range(x)
   })     
   

   output$table1 <- renderText({
      x <- data()
      x1 <- prettyNum(x)
      a <- rep("",5)
      
      a[1] <- "<h4></h4>"
      a[2] <- "<table border width=400>"
      a[3] <-"<Tr><Td>x1[1]</Td><Td>x1[2]</Td></Tr>"
      a[4] <- "</table>"
      a
   })  
   
   output$text1 <- renderText({
          "text1"    
   
   })        
   
    
   output$plot1 <- renderPlot({
        hist(datasetInput())
   })
           

  output$explainText <- renderText({ 
        "<h5>Explanation: This demo illustrates the concept </h5>"
        
  })

})

