library(shiny)

shinyUI(fluidPage(

  titlePanel(""),

  sidebarLayout(
      sidebarPanel(
           selectInput("dataset", "Choose a dataset:", 
                  choices = c("A","B","Random")),
           conditionalPanel( condition = "input.dataset == 'Weight of Euro Coins'",
                  selectInput("europart","Roll",
                  choices = c("All",1:8))),  
           conditionalPanel( condition = "input.dataset == 'Length of Babies'",
                  selectInput("cocainpart","Cocain Use",
                  choices = c("All","Drug Free","First Trimester","Throughout"))),         
           conditionalPanel( condition = "input.dataset == 'Random'",
                  selectInput("randompart","Distribution",
                  choices = c("N(10,3)","t(2)","Exp(1)","Binomial(100,0.5)"))),
           conditionalPanel( condition = "input.dataset == 'Random'",
                  numericInput("n","Sample Size",  
                  min=5,max=1000,value=30)),                  
                                      
           sliderInput("step","Step",
              min=0, max=9, value=0,step=1, 
              animate=animationOptions(interval = 3000)),
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 11/22/2014</h6>"),width=3
        ),
  mainPanel(
      tabsetPanel(
          tabPanel("Dataset",uiOutput("table2")),
          tabPanel("Plot",uiOutput("table1"),plotOutput("plot1"))
      )
    )
  ),
    
  uiOutput("explainText")    
))

