library(shiny)

shinyUI(fluidPage(

  titlePanel("Twosample t Test"),

  sidebarLayout(
      sidebarPanel( 
           numericInput("n1","Sample Size Population 1",min=10,max=100, value=50)
, 
           numericInput("n2","Sample Size Population 2",min=10,max=100,value=50),            
           sliderInput("mu2",HTML("Mean &mu; of Population 2"),
                  min=5, max=15, value=10,step=0.25),
           sliderInput("s2",HTML("Standard Deviation &sigma; of Population 2"),
                  min=0.5, max=10, value=3,step=0.5),
          selectInput("alpha",HTML("Type I error probability &alpha;"), 
                 choices = c(0.01,0.05,0.1),selected=0.05),   
                                      
           sliderInput("step","Play Movie",
              min=0, max=100, value=0,step=1, 
              animate=animationOptions(interval = 1000, loop = FALSE, 
              playButton = NULL, pauseButton = NULL)),                                  
                                      
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 11/31/2014</h6>"),width=3
                                        
        ),
     mainPanel(
          uiOutput("text1"),
          plotOutput("plot2"),          
          plotOutput("plot1")
     )
  ),  
  uiOutput("explainText")       
))

